<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="clientsByUser.aspx.cs" Inherits="clientsByUser" Title="Untitled Page" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <script language="javascript">
					
        var _oldColor;
            
        function SetNewColor(source)
        {
            _oldColor = source.style.backgroundColor;
            source.style.backgroundColor = '#cccccc';
        }

        function SetOldColor(source)
        {
            source.style.backgroundColor = _oldColor;
        }

    </script>

    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataSourceID="sqlClientsByUser" OnRowDataBound="GridView1_RowDataBound"
        PageSize="25">
        <Columns>
            <asp:BoundField DataField="NETDOMAIN" HeaderText="Domain" SortExpression="NETDOMAIN" />
            <asp:BoundField DataField="USERNAME" HeaderText="User Name" SortExpression="USERNAME" />
            <asp:BoundField DataField="LAST_USED" HeaderText="Last Used" ReadOnly="True" SortExpression="LAST_USED" />
            <asp:BoundField DataField="SESSIONID" HeaderText="SESSIONID" SortExpression="SESSIONID" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sqlClientsByUser" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>"
        SelectCommand="SELECT DISTINCT T.NETDOMAIN, T.USERNAME, DATEADD(hh, @utcOffset, T.LAST_USED) AS LAST_USED, MAX(SDB_SESSION_1.PK_SDB_SESSIONID) AS SESSIONID FROM (SELECT dbo.LU_NETDOMAIN.NETDOMAIN, dbo.LU_USER.USERNAME, MAX(dbo.SDB_SESSION.SESSIONSTART) AS LAST_USED FROM dbo.LU_USER INNER JOIN dbo.SDB_SESSION ON dbo.LU_USER.PK_USERID = dbo.SDB_SESSION.FK_USERID INNER JOIN dbo.SDB_CLIENTHISTORY ON dbo.SDB_SESSION.PK_SDB_SESSIONID = dbo.SDB_CLIENTHISTORY.FK_SDB_SESSIONID INNER JOIN dbo.LU_CLIENTPROPERTIES ON dbo.SDB_CLIENTHISTORY.FK_CLIENTPROPERTIESID = dbo.LU_CLIENTPROPERTIES.PK_CLIENTPROPERTIESID INNER JOIN dbo.LU_NETDOMAIN ON dbo.LU_USER.FK_NETDOMAINID = dbo.LU_NETDOMAIN.PK_NETDOMAINID WHERE (dbo.LU_CLIENTPROPERTIES.FK_CLIENTTYPEID = @ClientTypeID) AND (dbo.LU_CLIENTPROPERTIES.VERSION = @ClientVersion) AND (dbo.LU_CLIENTPROPERTIES.BUILD = @ClientBuild) GROUP BY dbo.LU_NETDOMAIN.NETDOMAIN, dbo.LU_USER.USERNAME) AS T INNER JOIN dbo.SDB_SESSION AS SDB_SESSION_1 ON T.LAST_USED = SDB_SESSION_1.SESSIONSTART INNER JOIN dbo.SDB_CLIENTHISTORY AS SDB_CLIENTHISTORY_1 ON SDB_SESSION_1.PK_SDB_SESSIONID = SDB_CLIENTHISTORY_1.FK_SDB_SESSIONID GROUP BY T.NETDOMAIN, T.USERNAME, T.LAST_USED ORDER BY T.NETDOMAIN, T.USERNAME">
        <SelectParameters>
            <asp:QueryStringParameter Name="ClientTypeID" QueryStringField="c" />
            <asp:QueryStringParameter Name="ClientVersion" QueryStringField="v" />
            <asp:QueryStringParameter Name="ClientBuild" QueryStringField="b" />
            <asp:Parameter Name="utcOffset" Type="Decimal" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>

