<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="userSessions.aspx.cs" Inherits="userDetails" Title="Web Interface for Resource Manager - User Session Detail" StylesheetTheme="WIRM" Theme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<script language="javascript">
					
    var _oldColor;
        
    function SetNewColor(source)
    {
        _oldColor = source.style.backgroundColor;
        source.style.backgroundColor = '#cccccc';
    }

    function SetOldColor(source)
    {
        source.style.backgroundColor = _oldColor;
    }

</script>

    <asp:GridView ID="gvUserDetail" runat="server" DataSourceID="sqlUserDetail" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" OnRowDataBound="gvUserDetail_RowDataBound" DataKeyNames="PK_SDB_SESSIONID" PageSize="20">
        <Columns>
            <asp:BoundField DataField="USERNAME" HeaderText="Username" SortExpression="USERNAME" />
            <asp:BoundField DataField="SESSIONSTART" HeaderText="Session Start" SortExpression="SESSIONSTART" HtmlEncode="False" />
            <asp:BoundField DataField="SESSIONEND" HeaderText="Session End" SortExpression="SESSIONEND" HtmlEncode="False" />
            <asp:BoundField DataField="APPNAME" HeaderText="Application" SortExpression="APPNAME" />
        </Columns>
    </asp:GridView>
        <asp:SqlDataSource ID="sqlUserDetail" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>" SelectCommand="SELECT LU_USER.USERNAME, DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONSTART) AS SESSIONSTART, DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONEND) AS SESSIONEND, LU_APPNAME.APPNAME, SDB_SESSION.PK_SDB_SESSIONID FROM LU_USER INNER JOIN SDB_SESSION ON LU_USER.PK_USERID = SDB_SESSION.FK_USERID INNER JOIN LU_APPNAME ON SDB_SESSION.FK_APPNAMEID = LU_APPNAME.PK_APPNAMEID WHERE (LU_USER.PK_USERID = @userid) ORDER BY SDB_SESSION.SESSIONSTART DESC">
            <SelectParameters>
                <asp:SessionParameter Name="utcOffset" SessionField="utcOffset" Type="Decimal" />
                <asp:QueryStringParameter DefaultValue="" Name="userid" QueryStringField="userID" />
            </SelectParameters>
        </asp:SqlDataSource>
        
</asp:Content>

