﻿<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true"  CodeFile="calendar.aspx.cs" Inherits="_Default" StylesheetTheme="WIRM" Theme="WIRM" Title="Web Interface for Resource Manager - Usage Calendar" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Calendar ID="rmCalendar" runat="server" OnDayRender="rmCalendar_DayRender" OnVisibleMonthChanged="rmCalendar_VisibleMonthChanged">
    </asp:Calendar>
    <br />
    <img src="images/filter.gif" />&nbsp;Filter Options:<br />
    <hr />
    Filter by Application:
    <asp:DropDownList ID="ddlApplicationFilter" runat="server" AppendDataBoundItems="True"
        DataSourceID="sqlApplicationFilter" DataTextField="APPNAME" DataValueField="PK_APPNAMEID">
    </asp:DropDownList>
    <asp:Button ID="btnApplicationFilter" runat="server" CssClass="btnStyle" OnClick="btnApplicationFilter_Click"
        Text="Submit" />
    <asp:CustomValidator ID="validateAppFilter" runat="server" ErrorMessage="<-- Please select an application"
        OnServerValidate="validateAppFilter_ServerValidate"></asp:CustomValidator><br />
    <br />
    <asp:SqlDataSource ID="sqlApplicationFilter" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>"
        SelectCommand="SELECT DISTINCT LU_APPNAME.PK_APPNAMEID, LU_APPNAME.APPNAME FROM LU_APPNAME INNER JOIN SDB_SESSION ON LU_APPNAME.PK_APPNAMEID = SDB_SESSION.FK_APPNAMEID WHERE (SDB_SESSION.SESSIONSTART BETWEEN @sessionStart AND @sessionEnd) AND (LU_APPNAME.APPNAME <> '') ORDER BY LU_APPNAME.APPNAME">
        <SelectParameters>
            <asp:Parameter Name="sessionStart" />
            <asp:Parameter Name="sessionEnd" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>
