<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="clientReport.aspx.cs" Inherits="clientReport" Title="Web Interface for Resource Manager - Client Usage Report" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    
    <center>
    Top 
        <asp:DropDownList ID="ddlTop" runat="server" AutoPostBack="True">
            <asp:ListItem>1</asp:ListItem>
            <asp:ListItem>2</asp:ListItem>
            <asp:ListItem>3</asp:ListItem>
            <asp:ListItem>4</asp:ListItem>
            <asp:ListItem Selected="True">5</asp:ListItem>
            <asp:ListItem>6</asp:ListItem>
            <asp:ListItem>7</asp:ListItem>
            <asp:ListItem>8</asp:ListItem>
            <asp:ListItem>9</asp:ListItem>
            <asp:ListItem>10</asp:ListItem>
        </asp:DropDownList>
    Clients
    <br />
    <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="565" height="420" id="FC2Column" align="middle">
            <param name=movie value="Charts/<%= strChartType %>?dataXML=<%= getChartData()  %>">
            <param name=quality value=high>
            <param name=bgcolor value=#FFFFFF>
            <embed src="Charts/<%= strChartType %>?dataXML=<%= getChartData()  %>" quality=high bgcolor=#FFFFFF  width="565" height="420" name="FC2Column" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">
            </embed> 
    </object>
    </center>
    
    <script type="text/javascript" src="clientScripts/datepicker.js"></script>
    <script type="text/javascript">
    <!--
        var basicDatePickerCulture_en_US = {monthNames:new Array("January","February","March","April","May","June","July","August","September","October","November","December"), monthNamesAbbr:new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), dayNames:new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"), dayNamesAbbr:new Array("Sun","Mon","Tue","Wed","Thu","Fri","Sat"), firstDayOfWeek:0};
    //-->
    </script>
    
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" DisplayMode="List" />
    <table width="100%" border="0">
        <tr>
            <td>
                <fieldset style="height: 41px;">
                    <legend><asp:Image ID="imgFilter" runat="server" ImageUrl="~/images/filter2.gif" />
                        Filter by Date Range</legend>
                    From: 
                        <asp:TextBox ID="tbFrom" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgFrom" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    To: 
                        <asp:TextBox ID="tbTo" runat="server" CssClass="tbSmall"></asp:TextBox>
                        <asp:Image ID="imgTo" runat="server" CssClass="bdpButton" ImageUrl="~/images/calendar/button.gif" />&nbsp;
                    <asp:Button ID="btnClientFilter" runat="server" CssClass="btnChartType" Text="Submit" OnClick="btnClientFilter_Click" />
                </fieldset>
            </td>
            <td>
            <fieldset  style="height: 41px;">
                <legend><asp:Image ID="imgGraph" runat="server" ImageUrl="~/images/pieGraphIcon.gif" /> Chart Type</legend>
                <asp:Button ID="btnPieChart" runat="server" Text="Pie Chart" OnClick="btnPieChart_Click" CssClass="btnChartType" />
                <asp:Button ID="btnColumnChart" runat="server" Text="Column Chart" OnClick="btnColumnChart_Click" CssClass="btnChartType" />
            </fieldset>
            </td>
        </tr>
    </table>
    
    <script language="javascript">
					
    var _oldColor;
        
    function SetNewColor(source)
    {
        _oldColor = source.style.backgroundColor;
        source.style.backgroundColor = '#cccccc';
    }

    function SetOldColor(source)
    {
        source.style.backgroundColor = _oldColor;
    }

    </script>
    
    <asp:GridView ID="gvClients" runat="server" AutoGenerateColumns="False" AllowSorting="True" OnRowDataBound="gvClients_RowDataBound" OnSorting="gvClients_Sorting">
        <Columns>
            <asp:BoundField DataField="CLIENT_NAME" HeaderText="Client Type" SortExpression="CLIENT_NAME" />
            <asp:BoundField DataField="VERSION" HeaderText="Version" SortExpression="VERSION" />
            <asp:BoundField DataField="BUILD" HeaderText="Build" SortExpression="BUILD" />
            <asp:BoundField DataField="FREQ" HeaderText="Frequency" SortExpression="FREQ" />
            <asp:TemplateField ShowHeader="False">
                <ItemTemplate>
                    <asp:ImageButton ID="btnPerson" runat="server" CausesValidation="false" CommandName=""
                        ImageUrl="~/images/person.gif" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="FK_CLIENTTYPEID" SortExpression="FK_CLIENTTYPEID" />
        </Columns>
    </asp:GridView>
    
    <script type="text/javascript">
    <!--

    var basicDatePicker = (window.BasicDatePicker) ? new BasicDatePicker() : "NoJS";

    function basicDatePickerButtonElementClick(b, v, l, params, stayOpen)
    {
        if(basicDatePicker == "NoJS")
            alert("Unable to find script library.");
        else if(basicDatePicker)
        {
            basicDatePicker.stayOpen = stayOpen;
            basicDatePicker.showPopUp(b, v, l, params);
        }
    }
    //-->
    </script>

    <asp:RequiredFieldValidator ID="rfvFrom" runat="server" ControlToValidate="tbFrom"
        ErrorMessage="A From Date is required." SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:RequiredFieldValidator ID="rfvTo" runat="server" ControlToValidate="tbTo" ErrorMessage="A To Date is required."
        SetFocusOnError="True">&nbsp;</asp:RequiredFieldValidator>
    <asp:CustomValidator ID="cvFromDate" runat="server" ControlToValidate="tbFrom" ErrorMessage="The date entered in the From field is invalid."
        OnServerValidate="cvFromDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvToDate" runat="server" ControlToValidate="tbTo" ErrorMessage="The date entered in the From field is invalid."
        OnServerValidate="cvToDate_ServerValidate" SetFocusOnError="True">&nbsp;</asp:CustomValidator>
    <asp:CustomValidator ID="cvDateCompare" runat="server" ControlToValidate="tbFrom"
        ErrorMessage="The From date must be earlier than the To date." OnServerValidate="cvDateCompare_ServerValidate">&nbsp;</asp:CustomValidator>

</asp:Content>