<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="sessionDetail.aspx.cs" Inherits="sessionDetail" StylesheetTheme="WIRM" Theme="WIRM" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<script src="clientScripts/desc.js" type="text/javascript"></script>
<div id="TipLayer" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></div>
<script language="JavaScript1.2" type="text/javascript">
 var FiltersEnabled = 1 
 Style[0]=["white","black","#4e7dd1","#ececec","","","","","","","","","","",350,"",2,2,10,10,"","","","",""]
 applyCssFilter()
</script>

    <asp:FormView ID="fvSessionDetail" runat="server" DataSourceID="sdsSessionDetail" OnDataBound="fvSessionDetail_DataBound">
        <ItemTemplate>
            <b>Session Details:</b><br />
            <hr />
            <table border='0'>
                <tr>
                    <td>Username:</td>
                    <td><asp:Label ID="USERNAMELabel" runat="server" Text='<%# Bind("USERNAME") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Application:</td>
                    <td><asp:Label ID="APPNAMELabel" runat="server" Text='<%# Bind("APPNAME") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Session Start:</td>
                    <td><asp:Label ID="SESSIONSTARTLabel" runat="server" Text='<%# Bind("SESSIONSTART") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Session End:</td>
                    <td><asp:Label ID="SESSIONENDLabel" runat="server" Text='<%# Bind("SESSIONEND") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Server:</td>
                    <td><asp:Label ID="SERVERNAMELabel" runat="server" Text='<%# Bind("SERVERNAME") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Client Name:</td>
                    <td><asp:Label ID="CLIENTNAMELabel" runat="server" Text='<%# Bind("CLIENTNAME") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>
                        Client Version:</td>
                    <td>
                        <asp:Label ID="VERSIONLabel" runat="server" Text='<%# Eval("VERSION") %>'></asp:Label>
                        <asp:Label ID="BUILDLabel" runat="server" Text='<%# Eval("BUILD", "(Build: {0})") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>
                        Client Type:</td>
                    <td>
                        <asp:Label ID="CLIENTTYPENAMELabel" runat="server" Text='<%# Eval("CLIENTTYPENAME") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>IP Address:</td>
                    <td><asp:Label ID="CLIENTADDRESSLabel" runat="server" Text='<%# Bind("CLIENTADDRESS") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>
                        Launched Using:</td>
                    <td>
                        <asp:Label ID="LAUNCHERLabel" runat="server" Text='<%# Eval("LAUNCHER") %>'></asp:Label>
                        <asp:Label ID="USINGSGLabel" runat="server" Text='<%# Eval("USINGSG") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Duration:</td>
                    <td><asp:Label ID="DURATIONLabel" runat="server" Text='<%# Bind("DURATION") %>'></asp:Label><br /></td>
                </tr>
                <tr>
                    <td>Active Time:</td>
                    <td><asp:Label ID="ACTIVETIMESUMLabel" runat="server" Text='<%# Bind("ACTIVETIMESUM") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>CPU Time:</td>
                    <td><asp:Label ID="CPUTIMESUMLabel" runat="server" Text='<%# Bind("CPUTIMESUM") %>'></asp:Label></td>
                </tr>
                <tr>
                    <td>Memory Used:</td>
                    <td><asp:Label ID="MEMORYSUMLabel" runat="server" Text='<%# Bind("MEMORYSUM") %>'></asp:Label></td>
                </tr>
            </table>
            <hr />

            <!--
            <asp:Label ID="TOTALTIMESUMLabel" runat="server" Text='<%# Bind("TOTALTIMESUM") %>'></asp:Label>
            <asp:Label ID="SESSIONIDLabel" runat="server" Text='<%# Bind("SESSIONID") %>'></asp:Label><br />
            -->
        </ItemTemplate>
    </asp:FormView>
    <asp:GridView ID="gvProcessDetail" runat="server" AutoGenerateColumns="False" DataSourceID="sdsProcessDetail" AllowSorting="True" OnRowDataBound="gvProcessDetail_RowDataBound">
        <Columns>
            <asp:BoundField DataField="PROCESSNAME" HeaderText="Process" SortExpression="PROCESSNAME" />
            <asp:BoundField DataField="STARTTIME" HeaderText="Start" SortExpression="STARTTIME" DataFormatString="{0:t}" />
            <asp:BoundField DataField="ENDTIME" HeaderText="End" SortExpression="ENDTIME" DataFormatString="{0:t}" />
            <asp:BoundField DataField="MEMORY" HeaderText="Memory" SortExpression="MEMORY" />
            <asp:BoundField DataField="VERSION" HeaderText="VERSION" SortExpression="VERSION" />
            <asp:BoundField DataField="PRODUCTDATE" HeaderText="PRODUCTDATE" SortExpression="PRODUCTDATE" />
            <asp:BoundField DataField="PATH" HeaderText="PATH" SortExpression="PATH" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sdsSessionDetail" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>"
        SelectCommand="SELECT DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONSTART) AS SESSIONSTART, DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONEND) AS SESSIONEND, SDB_SESSION.DURATION, SDB_SESSION.SESSIONID, SDB_SESSION.TOTALTIMESUM, SDB_SESSION.ACTIVETIMESUM, SDB_SESSION.CPUTIMESUM, SDB_SESSION.MEMORYSUM, LU_USER.USERNAME, LU_SERVERNAME.SERVERNAME, LU_APPNAME.APPNAME, LU_CLIENT.CLIENTNAME, LU_CLIENT.CLIENTADDRESS, SDB_SESSION.PK_SDB_SESSIONID, LU_CLIENTPROPERTIES.BUILD, LU_CLIENTPROPERTIES.VERSION, SDB_CLIENTHISTORY.USINGSG, LU_CLIENTTYPEMAPPINGS.CLIENTTYPENAME, LU_LAUNCHER.LAUNCHER FROM LU_CLIENTPROPERTIES INNER JOIN SDB_CLIENTHISTORY ON LU_CLIENTPROPERTIES.PK_CLIENTPROPERTIESID = SDB_CLIENTHISTORY.FK_CLIENTPROPERTIESID INNER JOIN LU_CLIENTTYPEMAPPINGS ON LU_CLIENTPROPERTIES.FK_CLIENTTYPEID = LU_CLIENTTYPEMAPPINGS.PK_CLIENTTYPEID INNER JOIN LU_LAUNCHER ON SDB_CLIENTHISTORY.FK_LAUNCHERID = LU_LAUNCHER.PK_LAUNCHERID RIGHT OUTER JOIN SDB_SESSION INNER JOIN LU_USER ON SDB_SESSION.FK_USERID = LU_USER.PK_USERID INNER JOIN LU_SERVER ON SDB_SESSION.FK_SERVERID = LU_SERVER.PK_SERVERID INNER JOIN LU_SERVERNAME ON LU_SERVER.FK_SERVERNAMEID = LU_SERVERNAME.PK_SERVERNAMEID INNER JOIN LU_CLIENT ON SDB_SESSION.FK_CLIENTID = LU_CLIENT.PK_CLIENTID INNER JOIN LU_APPNAME ON SDB_SESSION.FK_APPNAMEID = LU_APPNAME.PK_APPNAMEID ON SDB_CLIENTHISTORY.FK_SDB_SESSIONID = SDB_SESSION.PK_SDB_SESSIONID WHERE (SDB_SESSION.PK_SDB_SESSIONID = @PK_SDB_SESSIONID)" CancelSelectOnNullParameter="False">
        <SelectParameters>
            <asp:SessionParameter Name="utcOffset" SessionField="utcOffset" Type="Decimal" />
            <asp:QueryStringParameter Name="PK_SDB_SESSIONID" QueryStringField="sessionID" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="sdsProcessDetail" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>"
        SelectCommand="SELECT&#13;&#10;         LU_PROCESS.VERSION,&#13;&#10;         LU_PROCESS.PRODUCTDATE,&#13;&#10;         LU_PATH.PATH,&#13;&#10;         LU_PROCESSNAME.PROCESSNAME,&#13;&#10;         SDB_PROCESS.PID,&#13;&#10;         SDB_PROCESS.EXITCODE,&#13;&#10;         DATEADD(hh, @utcOffset, SDB_PROCESS.STARTTIME) AS STARTTIME,&#13;&#10;         DATEADD(hh, @utcOffset, SDB_PROCESS.ENDTIME) AS ENDTIME,&#13;&#10;         SDB_PROCESS.TOTALTIME,&#13;&#10;         SDB_PROCESS.ACTIVETIME,&#13;&#10;         SDB_PROCESS.MEMORY,&#13;&#10;         SDB_PROCESS.PAGEFILE,&#13;&#10;         SDB_PROCESS.PAGEFAULTS,&#13;&#10;         SDB_PROCESS.PAGEDPOOL,&#13;&#10;         SDB_PROCESS.NONPAGEDPOOL&#13;&#10;        FROM&#13;&#10;         SDB_PROCESS&#13;&#10;          INNER JOIN LU_PROCESS ON SDB_PROCESS.FK_PROCESSID = LU_PROCESS.PK_PROCESSID&#13;&#10;          INNER JOIN LU_PATH ON LU_PROCESS.FK_PATHID = LU_PATH.PK_PATHID&#13;&#10;          INNER JOIN LU_PROCESSNAME ON LU_PROCESS.FK_PROCESSNAMEID = LU_PROCESSNAME.PK_PROCESSNAMEID&#13;&#10;        WHERE&#13;&#10;         SDB_PROCESS.FK_SDB_SESSIONID = @FK_SDB_SESSIONID">
        <SelectParameters>
            <asp:SessionParameter Name="utcOffset" SessionField="utcOffset" Type="Decimal" />
            <asp:QueryStringParameter Name="FK_SDB_SESSIONID" QueryStringField="sessionID" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>

